commit:     6a5b917a01d701ca98cff8821f46ead630cba0ec
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 15 18:28:31 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jul 15 18:28:31 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a5b917a

dev-python/python-swiftclient: add 4.0.1

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/python-swiftclient/Manifest             |  1 +
 .../python-swiftclient-4.0.1.ebuild                | 40 ++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/python-swiftclient/Manifest 
b/dev-python/python-swiftclient/Manifest
index 8785322bdd90..b5c4eb220a2f 100644
--- a/dev-python/python-swiftclient/Manifest
+++ b/dev-python/python-swiftclient/Manifest
@@ -1 +1,2 @@
 DIST python-swiftclient-4.0.0.tar.gz 200490 BLAKE2B 
37cadf27758640a916014e09309282a4b7ffebb3e578ae7411744fafd22431cfb748cffb4127309b20a8b2d8daca7f8f0a1ed6431f55766c33b243744ce5a71e
 SHA512 
9058558564973ea2a4944e87dedd7b9b12e106672576da1d796eae336d3127ce8b35803cade93c605b38fd16a2d3466e6dc710838ceb77143059007625299360
+DIST python-swiftclient-4.0.1.tar.gz 201300 BLAKE2B 
6a506ae8996a3937048f67e7b3f8e5185605f9e5fe955f23e1131eead4d3699fb01e7851ab632e3dfaa75c12e88ec17cec5b4c1b19c1663163a2ff95530561ec
 SHA512 
0028bc12a9694047e31da3c05fe92ce846de8858743771281cc9b93f0826c596bb6ed5ee72f4e5c68c4bba2dbd9f311062dccdf13c9917536d2aaec7eaf33ef9

diff --git a/dev-python/python-swiftclient/python-swiftclient-4.0.1.ebuild 
b/dev-python/python-swiftclient/python-swiftclient-4.0.1.ebuild
new file mode 100644
index 000000000000..2336700dc435
--- /dev/null
+++ b/dev-python/python-swiftclient/python-swiftclient-4.0.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings to the OpenStack Object Storage API"
+HOMEPAGE="https://launchpad.net/python-swiftclient";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/requests-2.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/pbr[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/keystoneauth-3.4.0[${PYTHON_USEDEP}]
+               dev-python/python-keystoneclient[${PYTHON_USEDEP}]
+               >=dev-python/mock-1.2.0[${PYTHON_USEDEP}]
+               >=dev-python/openstacksdk-0.11.0[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+       sed -e 's/test_password_prompt/_&/' -i test/unit/test_shell.py || die
+       # fix duplicate script/entry point
+       # https://bugs.launchpad.net/python-swiftclient/+bug/1975361
+       sed -i -e '/bin\/swift/d' setup.cfg || die
+       distutils-r1_python_prepare_all
+}

Reply via email to